function plot3D(varargin)
  close all % :start:
  meshfile=fc_oogmsh.gmsh.buildmesh3d('cylinder3holes',10,varargin{:});
  Th=fc_simesh.siMesh(meshfile);
  u=@(x,y,z) cos(2*x-y-z).*sin(x-2*y+z);
  U=Th.eval(u);

  fc_tools.graphics.monitors.onGrid(2,2,'figures',1:3);
  
  figure(1)
  Th.plot(U);
  axis image

  figure(2)
  Th.plot(U,'d',2);
  axis image

  figure(3)
  Th.plot(U,'d',1,'Linewidth',3);
  axis image
  colormap('jet')
  colorbar % :end:
end


